Subject: [bitcoin-dev] Block size hard fork

From: Hector Chu <[email-masked]>
Date: Sat, 1 Aug 2015 01:05:43 +0100

I haven't seen much discussion on this list of what will happen when the
blockchain forks due to larger blocks. I think the debate surrounding this
issue is a storm in a teacup, because transactions on the smaller chain can
and will appear on the bigger chain also. There is nothing tying
transactions to the blocks they appear in.

Miners will migrate to the bigger chain in search of higher profits due to
higher volume of fees. They can also collect the higher fees of the smaller
chain by including into the bigger chain as many as possible of the
transactions from the smaller chain.

To stop this from happening the smaller chain would somehow need to change
the serialized format of their transactions so the signatures would no
longer be valid across chains.

Incidentally I read somewhere that the losing chain would have their coins
sold down. Trying to sell the smaller chain's coins in the short term at
least is not advisable, as those transactions will appear on the bigger
chain too.